{-# LANGUAGE NoImplicitPrelude #-}
{-# LANGUAGE OverloadedStrings #-}
module Handler.Avatars where

import Import

import Model.Cache ( getCached )
import Settings.StaticR ( staticR ) 

getAvatarR :: UserId -> Handler ()
getAvatarR = redirect <=< fmap (avatarR . entityVal) . getCached
    where avatarR user = staticR ["img", userAvatar user]
